=== debian/changelog ===
wacomtablet (2.1.0-0.1.beta1) unstable; urgency=low

  * Implement support for multible tablets at once
  * Add simple dialog app to ease tablet detection and databse adding
  * Add global shortcut for profile rotation
  * Add status LED support for profile rotation (Intous/Chintiq)
  * Fix profile not found error on tablet connect

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Thu, 21 Aug 2014 19:00:00 +0100

wacomtablet (2.0.2-0ppa1) unstable; urgency=low

  * Fix compile error on older Qt versions
  * Add Raw Sample and Suppress to ui

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Thu, 10 Jul 2014 12:00:00 +0100

wacomtablet (2.0.1-0ppa1) unstable; urgency=low

  * More translations
  * Add Wacom Intuos Pro S / PTH-451/S
  * Add WacomIntuos Pen Small / CTL-480S tablet
  * Add definition of Wacom Intuos PT S / CTH-680S-RUPL
  * Add Wacom Intuos PT M / CTH-680S-ENES
  * Add support for Wacom Intuos Pro M / PTH-651
  * cmake: remove extra kio linking
  * adjusted control point and draw below curve area colors to be less websafe looking
  * Added Wacom Cintiq 13HD
  * Added Samsung Series 7 Slate

 -- Jörg Ehrichs <Joerg.Ehrichs@gmx.de>  Wed, 25 Jun 2014 12:00:00 +0100

wacomtablet (2.0-0ppa1) unstable; urgency=low

  * No changes to release candidate 2.

 -- Alexander Maret <alex@maret.de>  Wed, 08 May 2013 17:00:00 +0100

wacomtablet (1.99.9-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-rc2 release.
  * Fixed bug where the default profile would not be created properly.
  * Fixed bug which prevented special keys from being used as express button shortcuts.

 -- Alexander Maret <alex@maret.de>  Sun, 05 May 2013 08:00:00 +0100

wacomtablet (1.99.8-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-rc1 release.
  * Fixed bug where the plasma applet would not rotate the stylus controls.
  * Fixed bug which displayed the tablet in an inverted rotation if auto-rotate was selected.
  * Fixed bug which prevented the screen mappings from being applied correctly when the tablet was rotated.
  * Fixed bug which would not allow to set a screen mapping on the touch device.
  * Fixed bug where invalid area mappings would make the stylus stick in the upper left corner.
  * Changed way how tablets are reset to their full tablet mapping to fix problems with Intuos 5 tablets.
  * Added some more tablets to the tablet database.
  * Updated button hardware mappings for the Intuos 5 Touch.
  * Disabled Waltop devices in the database as they are in conflict with some Wacom devices.

 -- Alexander Maret <alex@maret.de>  Sun, 30 Mar 2013 18:00:00 +0100

wacomtablet (1.99.7-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta7 release.
  * Fixed bug which would clear all express button shortcuts.
  * Tablet and touch area selection now takes the rotation settings into account.
  * Added feature which allows the user to invert the scroll direction of the touch device.

 -- Alexander Maret <alex@maret.de>  Sun, 17 Mar 2013 22:00:00 +0100

wacomtablet (1.99.6-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta6 release.
  * Fixed bug which prevented express button shortcuts from being set correctly.
  * Fixed bug which would not take the current tablet to screen area mapping into account.

 -- Alexander Maret <alex@maret.de>  Sun, 17 Mar 2013 11:00:00 +0100

wacomtablet (1.99.5-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta5 release.
  * Tablet areas can now be selected for each screen independently.
  * All screen mapping can now be handled with one dialog.

 -- Alexander Maret <alex@maret.de>  Sat, 16 Mar 2013 16:00:00 +0100

wacomtablet (1.99.4-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta4 release.
  * New KCM GUI.
  * Improved button shortcut handling.
  * Improved handling of auto-rotation.

 -- Alexander Maret <alex@maret.de>  Thu, 14 Mar 2013 20:00:00 +0100

wacomtablet (1.99.3-0ppa1) unstable; urgency=low

  * Save changed tablet rotatation when screen rotates to profile
  * Add support for Wacom Intuos5 M Pen pad
  * Add FindPkgConfig.cmake for the xorg wacom input driver
  * Fix hw button assignment for MTE-450
  * Save touch/pen mode into profile after using the hotkey
  * Support global shortcuts to switch screen mapping + TabletArea

 -- Jörg Ehrichs <joerg.ehrichs@gmx.de>  Wed, 23 Jan 2013 15:00:00 +0100

wacomtablet (1.99.2-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-beta1 relase.
  * New backend since 1.3.x, no new features.

 -- Alexander Maret <alex@maret.de>  Sun, 04 Nov 2012 15:00:00 +0100

wacomtablet (1.99.1-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-alpha2 release.

 -- Alexander Maret <alex@maret.de>  Wed, 29 Oct 2012 12:00:00 +0200

wacomtablet (1.99.0-0ppa1) unstable; urgency=low

  * KCM Wacom Tablet 2.0-alpha1 release.

 -- Alexander Maret <alex@maret.de>  Wed, 26 Sep 2012 12:00:00 +0200
