=== debian/control ===
Source: wacomtablet
Section: kde
Priority: extra
Maintainer: Alexander Maret <alex@maret.de>
Build-Depends: debhelper, cmake,
 libkf5coreaddons-dev, libkf5i18n-dev, gettext, libkf5dbusaddons-dev, libkf5globalaccel-dev, libkf5config-dev, libkf5xmlgui-dev,
 libkf5notifications-dev, plasma-framework-dev, kdoctools-dev, xserver-xorg-input-wacom, libxrandr-dev, libxi-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xserver-xorg-input-wacom
Recommends: ${shlibs:Recommends}
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL 
 configuration.
